
hci-cod-editor ngb-accordion .card-body {
  overflow-x: auto;
}

hci-cod-editor .fixed {
  position: fixed;
}

hci-cod-editor .card-header {
  padding: 0;
}

.hci-cod-edit .ng-invalid:not(form).ng-touched, .hci-cod-edit .ng-invalid:not(form).ng-dirty {
  // in the future these should probably be extracted out into scss variables
  border-color: red;
  box-shadow: inset 0 1px 2px rgba(#000, .075), 0 0 0 .2rem rgba(red, .25);
}

.hci-cod .editor-grid {
  position: absolute;
  width: 100%;
  height: 100%;
}

.hci-cod .editor-grid .vline {
  position: absolute;
  border-left-style: solid;
  border-left-width: 1px;
  border-color: inherit;
}

.hci-cod .editor-grid .hline {
  position: absolute;
  border-top-style: solid;
  border-top-width: 1px;
  border-color: inherit;
}

.hci-cod .attribute.selected {
  z-index: 100 !important;
  border: red 1px solid;
  border-radius: .25rem;
}

.hci-cod .absolute .attribute.selected {
  margin-top: -1px;
  margin-left: -1px;
}

.hci-cod .attribute .drag-select {
  z-index: -1;
  position: absolute;
  width: inherit;
  height: inherit;
}

.hci-cod .attribute.selected .drag-select {
  z-index: 9000;
}

.hci-cod .attribute.selected.e-resize {
  cursor: e-resize !important;
}

.hci-cod .attribute.selected.n-resize {
  cursor: n-resize !important;
}

.hci-cod .tool-drag .attribute.selected {
  cursor: move;
}

.hci-cod .attribute.inactive {
  background-color: rgba(255, 200, 0, 0.25);
  color: var(--pure-orange);
}

.hci-cod .attribute.calculated {
  background-color: rgba(0, 0, 255, 0.25);
  color: var(--pure-indigo);
  border-radius: .25rem;
}

.hci-cod .attribute.inactive.calculated {
  background-color: rgba(0, 0, 255, 0.25);
  color: var(--pure-orange);
}

.header {
  @include themify($themes) {
    color: themed("header-text-color");
    background-color: themed("header-background-color");
  }
}

.hci-cod .popup {
  display: none;
  position: absolute;
  z-index: 2000;
  width: max-content;
}

.hci-cod .popup .header {
  padding: 0rem 0.5rem;
}

.hci-cod .popup .body {
  max-height: 150px;
  overflow-y: auto;
}

.hci-cod .popup {
  background-color: white;
  border: black 1px solid;
}

.hci-cod input:disabled, .hci-cod textarea:disabled {
  cursor: inherit;
}

.editor-menu {
  font-size: 1rem;
}

.editor-menu .btn {
  padding: 0.0rem 0.25rem;
}

.editor-menu label {
  font-size: 1rem;
  margin-bottom: 0;
}

.editor-menu input, .editor-menu select {
  height: 1.5rem;
}

.editor-menu input[type=checkbox], .editor-menu input[type=radio] {
  width: 1.25rem;
}

.editor-menu .form-group {
  padding: 0 .25rem;
  margin-bottom: 0.2rem;
}

.editor-menu .card, .editor-menu .card-body {
  padding: 0rem;
}

.editor-menu .card-header {
  padding: 0rem;
}

.editor-menu .menu-header {
  padding: 0 0.5rem;
}

.editor-menu .card-header a {
  color: var(--white-lightest);
}

.configuration-search.dropdown .dropdown-toggle::after {
  display: inline-block;
}

.configuration-search.dropdown button {
  background-color: transparent;
  color: var(--black-darkest);
  border: none;
  display: flex;
  align-items: center;
}

.configuration-search.dropdown button div {
  max-width: 300px;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

div.configuration-search.dropdown {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

.modal-body.hci-cod-edit input, .modal-body.hci-cod-edit select {
  height: 1.5rem;
}

.modal-body.hci-cod-edit input[type="checkbox"] {
    height: auto;
    width: auto;
}

/* List Styling*/
.editor-menu .alternating-list:nth-child(odd), .editor-menu .copied-entity:nth-child(odd) {
  background-color: #e6f0f5;
}

/* Menus */
.copy-paste-menu {
  flex-grow: 1;
}

/* Drag n Drop Attribute */
.hci-cod-editor .attribute-container {
  border: transparent solid 2px;
}

.hci-cod-editor .attribute-container.flex {
  padding-bottom: 4rem;
}

.hci-cod-editor .attribute-container-header {
  border: transparent solid 2px;
}

.hci-cod-editor .copy-paste-menu {
  border: transparent solid 2px;
}

.hci-cod-editor.dragging-attribute .copy-paste-menu,
.hci-cod-editor.dragging-container .copy-paste-menu {
  border-color: darkgreen;
}

.hci-cod-editor.dragging-attribute .attribute-container:not(.dragging-origin),
    .hci-cod-editor.dragging-copied-attribute .attribute-container {
  border-color: darkgreen;
}

.hci-cod-editor.dragging-attribute .attribute-container:not(.dragging-origin):hover,
    .hci-cod-editor.dragging-copied-attribute .attribute-container:hover {
  border-color: lightgreen;
}

.hci-cod-editor.dragging-attribute .copy-paste-menu:hover,
    .hci-cod-editor.dragging-container .copy-paste-menu:hover {
  border-color: lightgreen;
}

.hci-cod-editor.dragging-attribute .card-header:not(.active) .attribute-container-header,
    .hci-cod-editor.dragging-copied-attribute .card-header:not(.active) .attribute-container-header,
    .hci-cod-editor.dragging-copied-container .card-header:not(.active) .attribute-container-header {
  border-color: darkgreen;
}

.hci-cod-editor.dragging-attribute .card-header:not(.active) .attribute-container-header:hover,
    .hci-cod-editor.dragging-copied-attribute .card-header:not(.active) .attribute-container-header:hover {
  border-color: lightgreen;
}

.hci-cod-editor.dragging-attribute .card-header.active .attribute-container-header,
    .hci-cod-editor.dragging-copied-attribute .card-header.active .attribute-container-header {
  border-color: transparent;
}

.hci-cod-editor.dragging-attribute .card-header.active .attribute-container-header:hover,
    .hci-cod-editor.dragging-copied-attribute .card-header.active .attribute-container-header:hover {
  border-color: transparent;
}

/* Drag n Drop Container */
.hci-cod-editor .hci-attribute-configuration .card {
  border-bottom: transparent solid 2px !important;
}

.hci-cod-editor.dragging-container .hci-attribute-configuration .card {
  border-bottom-color: darkgreen !important;
}

.hci-cod-editor.dragging-container  .hci-attribute-configuration .card:hover {
  border-bottom-color: lightgreen !important;
}

.hci-cod-editor .hci-attribute-configuration .card:first-of-type {
  border-top: transparent solid 2px !important;
}

.hci-cod-editor.dragging-container .hci-attribute-configuration .card:first-of-type {
  border-top-color: darkgreen !important;
}

.hci-cod-editor.dragging-container  .hci-attribute-configuration .card:first-of-type:hover {
  border-top-color: lightgreen !important;
}

.hci-cod-editor.dragging-copied-container .card-header .attribute-container-header {
  border-color: darkgreen;
}

.hci-cod-editor.dragging-copied-container .card-header .attribute-container-header:hover {
  border-color: lightgreen;
}
